resource "aws_subnet" "primary" {
  depends_on = ["aws_route_table.rt"]
  availability_zone = "${data.aws_availability_zones.available.names[0]}"
  vpc_id = "${aws_vpc.vpc.id}"
  cidr_block = "${var.public_subnet_cidr}"
  map_public_ip_on_launch = "${var.public_ip_bool}"
  tags {
    Name = "Main"
  }
}
